<?xml version="1.0" encoding="utf-8"?>
<FrameLayout android:id="@id/widgetLayout" android:descendantFocusability="beforeDescendants" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <RelativeLayout android:layout_gravity="center_vertical" android:id="@id/rl_weather_widget" android:background="@drawable/widget_black_back" android:layout_width="fill_parent" android:layout_height="75.0dip">
        <TextView android:id="@id/tv_line" android:background="#16000000" android:layout_width="fill_parent" android:layout_height="1.0dip" android:layout_marginLeft="5.0dip" android:layout_marginRight="5.0dip" android:layout_marginBottom="24.0dip" android:includeFontPadding="false" android:layout_alignParentBottom="true" />
        <RelativeLayout android:id="@id/rl_time" android:layout_width="wrap_content" android:layout_height="47.0dip">
            <TextClock android:textSize="23.0dip" android:textColor="@android:color/white" android:id="@id/tc_widget_time" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="6.0dip" android:layout_marginRight="22.0dip" android:includeFontPadding="false" android:layout_alignParentRight="true" android:format12Hour="hh:mm" android:format24Hour="kk:mm" />
            <TextView android:textSize="12.0dip" android:textColor="@android:color/white" android:id="@id/tv_week" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="10.0dip" android:layout_marginRight="24.0dip" android:maxLines="1" android:singleLine="true" android:includeFontPadding="false" android:layout_alignParentRight="true" android:layout_alignParentBottom="true" />
            <TextClock android:textSize="12.0dip" android:textColor="@android:color/white" android:id="@id/tv_month" android:layout_width="wrap_content" android:layout_height="wrap_content" android:includeFontPadding="false" android:layout_toLeftOf="@id/tv_week" android:layout_alignParentBottom="true" android:format12Hour="MM/dd" android:format24Hour="MM/dd" />
            <RelativeLayout android:id="@id/rl_weather" android:layout_width="fill_parent" android:layout_height="43.0dip" android:layout_marginTop="4.0dip" android:layout_toLeftOf="@id/tv_month">
                <ImageView android:id="@id/iv_weather_icon" android:layout_width="42.0dip" android:layout_height="42.0dip" android:layout_marginLeft="12.0dip" android:scaleType="fitXY" android:layout_centerVertical="true" />
                <RelativeLayout android:id="@id/rl_weather_des" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_toRightOf="@id/iv_weather_icon">
                    <TextView android:textSize="23.0dip" android:textColor="@android:color/white" android:id="@id/tv_temp" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="5.0dip" />
                    <TextView android:textSize="16.0dip" android:textColor="@android:color/white" android:id="@id/tv_weather_des" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="5.0dip" android:layout_toRightOf="@id/tv_temp" android:layout_centerVertical="true" />
                </RelativeLayout>
                <TextView android:textSize="9.0dip" android:textColor="@android:color/white" android:ellipsize="end" android:id="@id/tv_short_weather" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginLeft="5.0dip" android:layout_marginTop="-1.0dip" android:maxLines="1" android:singleLine="true" android:layout_toRightOf="@id/iv_weather_icon" android:layout_below="@id/rl_weather_des" />
            </RelativeLayout>
        </RelativeLayout>
        <RelativeLayout android:id="@id/rl_widget_update" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginBottom="6.0dip" android:layout_alignParentRight="true" android:layout_alignParentBottom="true">
            <TextView android:textSize="12.0dip" android:textColor="@android:color/white" android:gravity="center_vertical" android:id="@id/tv_update_time" android:layout_width="wrap_content" android:layout_height="wrap_content" android:includeFontPadding="false" android:layout_centerVertical="true" />
            <RelativeLayout android:id="@id/rl_refersh" android:visibility="gone" android:layout_width="12.0dip" android:layout_height="12.0dip" android:layout_marginLeft="5.0dip" android:layout_toRightOf="@id/tv_update_time" android:layout_centerVertical="true" />
            <ImageView android:id="@id/iv_content_setting" android:paddingRight="22.0dip" android:layout_width="34.0dip" android:layout_height="12.0dip" android:layout_marginLeft="10.0dip" android:src="@drawable/widget_content_setting" android:layout_toRightOf="@id/rl_refersh" android:layout_centerVertical="true" />
        </RelativeLayout>
        <RelativeLayout android:id="@id/rl_widget_city" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginLeft="12.0dip" android:layout_marginBottom="6.0dip" android:layout_toLeftOf="@id/rl_widget_update" android:layout_alignParentBottom="true">
            <ImageView android:id="@id/iv_city_icon" android:layout_width="10.0dip" android:layout_height="12.0dip" android:src="@drawable/widget_local_icon_red" android:layout_centerVertical="true" />
            <TextView android:textSize="12.0dip" android:textColor="@android:color/white" android:ellipsize="end" android:gravity="center_vertical" android:id="@id/tv_city_name" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginLeft="5.0dip" android:maxLines="1" android:singleLine="true" android:includeFontPadding="false" android:layout_toRightOf="@id/iv_city_icon" android:layout_centerVertical="true" />
        </RelativeLayout>
    </RelativeLayout>
    <include android:id="@id/il_first_back" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="fill_parent" layout="@layout/widget4x1_view_first_black" />
    <LinearLayout android:orientation="vertical" android:id="@id/ll_widget_setting" android:layout_width="fill_parent" android:layout_height="75.0dip" />
</FrameLayout>